Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class RibbonBandUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.ribbon.RibbonBandUI

Direct Known Subclasses:
  `BasicRibbonBandUI`

public abstract class RibbonBandUI extends ComponentUI
UI for ribbon band (`JRibbonBand`).

## Constructor Summary

Constructors
Constructor
Description
`RibbonBandUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getBandTitleHeight()`
`abstract int`
`getPreferredCollapsedWidth()`
`abstract float`
`getRolloverAmount()`
`abstract void`
`trackMouseCrossing(boolean isMouseIn)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonBandUI

public RibbonBandUI()

## Method Details

### getPreferredCollapsedWidth

public abstract int getPreferredCollapsedWidth()

### getBandTitleHeight

public abstract int getBandTitleHeight()

### trackMouseCrossing

public abstract void trackMouseCrossing(boolean isMouseIn)

### getRolloverAmount

public abstract float getRolloverAmount()